| Classes - Annotated - Tree - Functions - Home - Structure

# QImageFormatType Class Reference

Factory that makes QImageFormat objects. More...

`#include <qasyncimageio.h>`

List of all member functions.

## Public Members

- virtual ~QImageFormatType ()
- virtual QImageFormat* decoderFor ( const uchar * buffer, int length )
- virtual const char* formatName () const

## Protected Members

- QImageFormatType ()

## Detailed Description

Factory that makes QImageFormat objects.

While the QImageIO class allows for complete loading of images, QImageFormatType allows for incremental loading of images.

New image file formats are installed by creating objects of derived classes of QImageFormatType. They must implement decoderFor() and formatName().

QImageFormatType is a very simple class. Its only task is to recognize image data in some format and make a new object, subclassed from QImageFormat, which can decode that format.

The factories for formats built into Qt are automatically defined before any other factory is initialized. If two factories would recognize an image format, the factory created last will override the earlier one, thus you can override current and future built-in formats.

## Member Function Documentation

### QImageFormatType::QImageFormatType () `[protected]`

Constructs a factory. It automatically registers itself with QImageDecoder.

### QImageFormatType::~QImageFormatType () `[virtual]`

Destroys a factory. It automatically unregisters itself from QImageDecoder.

### virtual QImageFormat* QImageFormatType::decoderFor ( const uchar * buffer, int length ) `[virtual]`

Returns a decoder for decoding an image which starts with the give bytes. This function should only return a decoder if it is definite that the decoder applies to data with the given header. Returns 0 if there is insufficient data in the header to make a positive identification, or if the data is not recognized.

### virtual const char* QImageFormatType::formatName () const `[virtual]`

Returns the name of the format supported by decoders from this factory. The string is statically allocated.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.